Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# Debug_Attributes_Builder.h File Reference

`#include "ACEXML/parser/debug_validator/Debug_DTD_Manager_Export.h"`
`#include "ACEXML/common/Attributes_Def_Builder.h"`
`#include "ace/Hash_Map_Manager.h"`
`#include "ace/Unbounded_Queue.h"`

Include dependency graph for Debug_Attributes_Builder.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACEXML_Debug_Attribute_Builder
class | ACEXML_Debug_Attributes_Builder
## Typedefs
typedef ACE_Unbounded_Queue< ACEXML_String > | ACEXML_STRING_QUEUE
typedef ACE_Unbounded_Queue_Iterator< ACEXML_String > | ACEXML_STRING_QUEUE_ITERATOR
typedef ACE_Hash_Map_Entry< ACEXML_String, ACEXML_Debug_Attribute_Builder > | ACEXML_ATT_MAP_ENTRY
typedef ACE_Hash_Map_Manager_Ex< ACEXML_String, ACEXML_Debug_Attribute_Builder, ACE_Hash< ACEXML_String >, ACE_Equal_To< ACEXML_String >, ACE_Null_Mutex > | ACEXML_ATT_MAP
typedef ACE_Hash_Map_Iterator_Ex< ACEXML_String, ACEXML_Debug_Attribute_Builder, ACE_Hash< ACEXML_String >, ACE_Equal_To< ACEXML_String >, ACE_Null_Mutex > | ACEXML_ATT_MAP_ITER
typedef ACE_Hash_Map_Reverse_Iterator_Ex< ACEXML_String, ACEXML_Debug_Attribute_Builder, ACE_Hash< ACEXML_String >, ACE_Equal_To< ACEXML_String >, ACE_Null_Mutex > | ACEXML_ATT_MAP_REVERSE_ITER

## Detailed Description

Id
  Debug_Attributes_Builder.h,v 1.7 2003/07/19 19:04:10 dhinton Exp

Author:
  Nanbor Wang <nanbor@cs.wustl.edu>

## Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex<ACEXML_String, ACEXML_Debug_Attribute_Builder, ACE_Hash<ACEXML_String>, ACE_Equal_To<ACEXML_String>, ACE_Null_Mutex> ACEXML_ATT_MAP

typedef ACE_Hash_Map_Entry<ACEXML_String, ACEXML_Debug_Attribute_Builder> ACEXML_ATT_MAP_ENTRY

typedef ACE_Hash_Map_Iterator_Ex<ACEXML_String, ACEXML_Debug_Attribute_Builder, ACE_Hash<ACEXML_String>, ACE_Equal_To<ACEXML_String>, ACE_Null_Mutex> ACEXML_ATT_MAP_ITER

typedef ACE_Hash_Map_Reverse_Iterator_Ex<ACEXML_String, ACEXML_Debug_Attribute_Builder, ACE_Hash<ACEXML_String>, ACE_Equal_To<ACEXML_String>, ACE_Null_Mutex> ACEXML_ATT_MAP_REVERSE_ITER

typedef ACE_Unbounded_Queue<ACEXML_String> ACEXML_STRING_QUEUE

typedef ACE_Unbounded_Queue_Iterator<ACEXML_String> ACEXML_STRING_QUEUE_ITERATOR